Page MenuHomePhabricator

setup: build treedirstate and rusttreedirstate packages
ClosedPublic

Authored by mbthomas on Nov 14 2017, 12:40 PM.

Details

Reviewers
quark
Group Reviewers
Restricted Project
Commits
rFBHGX2742730d0d39: setup: build treedirstate and rusttreedirstate packages
Summary

The treedirstate and rusttreedirstate packages are only built if a suitable
version of Cargo is available.

Diff Detail

Repository
rFBHGX Facebook Mercurial Extensions
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mbthomas created this revision.Nov 14 2017, 12:40 PM
Herald added a reviewer: Restricted Project. · View Herald TranscriptNov 14 2017, 12:40 PM
quark accepted this revision.Nov 19 2017, 11:43 PM
This revision is now accepted and ready to land.Nov 19 2017, 11:43 PM
quark added inline comments.Nov 20 2017, 8:01 PM
setup.py
33

Maybe this should be a hard error so people won't accidentally miss dependencies.

mbthomas added inline comments.Nov 21 2017, 6:52 AM
setup.py
33

I don't want to break users who simply don't have a rust toolchain installed from using the rest of fb-hgext. If USERUST is 1 then it's a hard failure, but if USERUST is not set then you just don't get rust-based code if you don't have a rust toolchain.

We can change this later once rust toolchains are more commonplace and necessary.

durham added a subscriber: durham.Nov 21 2017, 12:15 PM
durham added inline comments.
setup.py
33

We could at least print a warning to stderr, so it's more debugable in build outputs.

mbthomas updated this revision to Diff 3737.Nov 21 2017, 1:36 PM
mbthomas updated this revision to Diff 3778.Nov 22 2017, 1:15 PM
mbthomas updated this revision to Diff 3833.Nov 24 2017, 11:53 AM
mbthomas updated this revision to Diff 3872.Nov 27 2017, 8:00 AM
mbthomas updated this revision to Diff 3890.Nov 27 2017, 4:33 PM
This revision was automatically updated to reflect the committed changes.